

[![Contributors][contributors-shield]][contributors-url]
[![Forks][forks-shield]][forks-url]
[![Stargazers][stars-shield]][stars-url]
[![CalVer](https://img.shields.io/badge/calver-0Y.MM.MICRO-22bfda.svg)](https://img.shields.io/badge/calver-0Y.MM.MICRO-22bfda.svg)
[![MIT License][license-shield]][license-url]


<!-- PROJECT LOGO -->
<br />
<p align="center">
  <a href="https://github.com/georgemunyoro/skaak">
    <img src=https://i.imgur.com/kbm1F1y.png" alt="Logo" width="200" height="200">
  </a>

  <h3 align="center">skaak</h3>

  <p align="center">
    Python Chess Library
    <br />
    <a href="https://pypi.org/project/Skaak/"><strong>Check it out »</strong></a>
    <br />
    <br />
    <a href="https://github.com/georgemunyoro/skaak/issues">Report Bug</a>
    ·
    <a href="https://github.com/georgemunyoro/skaak/issues">Request Feature</a>
  </p>
</p>



<!-- TABLE OF CONTENTS -->
## Table of Contents

* [Getting Started](#getting-started)
  * [Prerequisites](#prerequisites)
  * [Installation](#installation)
* [Roadmap](#roadmap)
* [Contributing](#contributing)
* [License](#license)
* [Contact](#contact)

<!-- GETTING STARTED -->
## Getting Started

To get a local copy up and running follow these simple example steps:
1. Clone the repository onto your machine and navigate into the project folder
	```sh
	$ git clone https://github.com/georgemunyoro/skaak && cd skaak
	```
2. Create a virtual environment
	```sh
	$ python3 -m venv venv && source ./venv/bin/activate
	```
3. Install the required packages
	```sh
	$ pip install -r ./requirements.txt
	```

 ## Installation
 To install skaak, simply: `$ pip3 install skaak`

### Prerequisites
The application requires the following to be installed on your system in order to run:
 - Python 3.8.6

<!-- ROADMAP -->
## Roadmap

See the [open issues](https://github.com/georgemunyoro/skaak/issues) for a list of proposed features (and known issues).



<!-- CONTRIBUTING -->
## Contributing

Contributions are what make the open source community such an amazing place to be learn, inspire, and create. Any contributions you make are **greatly appreciated**.

##### NB: if you intend to add a feature or make changes that will go into the final product, you must create an issue on the project [board](), and comply to the contributing guidelines, if you are just messing around, or would like to build your own project on top of Pydgon, feel free to do as you please.
1. Fork the Project
2. Create your Branch
	```sh
	$ git checkout -b branchName
	```
3. Make your changes
4. Commit your Changes
	```sh
	$ git commit -m 'Add some amazing feature or changes
	```
5. Push to the Branch
	```sh
	$ git push origin branchName
	```
7. Open a Pull Request

<!-- LICENSE -->
## License

Distributed under the MIT License. See `LICENSE` for more information.



<!-- CONTACT -->
## Contact

George Munyoro - [@george_munyoro](https://twitter.com/george_munyoro)

Project Link: [https://github.com/georgemunyoro/skaak](https://github.com/georgemunyoro/skaak)


<!-- MARKDOWN LINKS & IMAGES -->
<!-- https://www.markdownguide.org/basic-syntax/#reference-style-links -->
[contributors-shield]: https://img.shields.io/github/contributors/georgemunyoro/skaak.svg
[contributors-url]: https://github.com/georgemunyoro/skaak/graphs/contributors
[forks-shield]: https://img.shields.io/github/forks/georgemunyoro/skaak.svg
[forks-url]: https://github.com/georgemunyoro/skaak/network/members
[stars-shield]: https://img.shields.io/github/stars/georgemunyoro/skaak.svg
[stars-url]: https://github.com/georgemunyoro/skaak/stargazers
[issues-url]: https://georgemunyoro.myjetbrains.com/youtrack/agiles/119-2/current
[license-url]: https://github.com/georgemunyoro/skaak/blob/master/LICENSE.txt
[license-shield]: https://img.shields.io/github/license/georgemunyoro/skaak.svg
[linkedin-url]: https://linkedin.com/in/georgemunyoro
